Subject: RE: Gen-ART IETF LC review of draft-allen-dispatch-imei-urn-as-instanceid-10

From: Andrew Allen <[email-masked]>
Date: Tue, 17 Sep 2013 16:15:25 +0000

Roni
Thank you for the review
My responses below prepended with [AA]
Andrew

From: Roni Even [mailto:[email-masked]]
Sent: Monday, August 05, 2013 8:35 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Gen-ART IETF LC review of draft-allen-dispatch-imei-urn-as-instanceid-10

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
Please resolve these comments along with any other Last Call comments you may receive.

Document: draft-allen-dispatch-imei-urn-as-instanceid-10

Reviewer: Roni Even

Review Date:2013-8-5

IETF LC End Date: 2013-8-16

IESG Telechat date:

Summary: This draft is almost ready for publication as an Informational RFC.

Major issues:

Minor issues:

Why is it going to be an Informational RFC, considering that there is a lot of normative language in the document.

[AA] I think there are many other informational RFCs that contain normative language (e.g. RFC 3325 is informative and full of MUST statements). There is no intention to make this an IETF standard so therefore it cannot be standards track. This is being specified for 3GPP usage to meet the requirements of RFC 5626 that require publication of an RFC for specifying URNs that are used as instance-IDs.

Nits/editorial comments:

According to RFC editor guidelines (http://www.rfc-editor.org/policy.html#policy.abstract) the abstract section should not contain citations unless they are completely defined within the Abstract.
[AA]  This specification defines how the Uniform Resource Name namespace
   reserved for the GSMA (GSM Association) identities and its sub-
   namespace for the IMEI (International Mobile station Equipment
   Identity) can be used as an instance-id as specified in RFC 5626 [1]
   and also as used by RFC 5627 [2].  Its purpose is to fulfil the
   requirements in RFC 5626 [1] that state "If a URN scheme other than
   UUID is used, the UA MUST only use URNs for which an RFC (from the
   IETF stream) defines how the specific URN needs to be constructed and
   used in the "+sip.instance" Contact header field parameter for
   outbound behavior."

[AA] I think I can remove the as specified in RFC 5626 [1] and also as used by RFC 5627 [2] from the first sentence however I think the second sentence contains the relevant statement from the RFC so this is OK.

---------------------------------------------------------------------
This transmission (including any attachments) may contain confidential information, privileged material (including material protected by the solicitor-client or other applicable privileges), or constitute non-public information. Any use of this information by anyone other than the intended recipient is prohibited. If you have received this transmission in error, please immediately reply to the sender and delete this information from your system. Use, dissemination, distribution, or reproduction of this transmission by unintended recipients is not authorized and may be unlawful.